org.apache.ignite.spi

## Annotation Type IgniteSpiConfiguration

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface IgniteSpiConfiguration

Annotates SPI configuration setters on whether or not it is optional.

Note that this annotation is used only for documentation purposes now and is not checked by Ignite implementation.

### Required Element Summary

Required Elements
`boolean` `optional`

### Element Detail

#### optional

    public abstract boolean optional

Returns:
  Whether this configuration setting is optional or not.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023